module VARIAVEIS

! inclusão de módulos do Fortran90

USE PORTLIB ! para usar o comando SYSTEM

! -----------------------------------------------

! definição das variáveis globais do programa

implicit none

integer   :: n               ! número de elementos dos vetores
integer   :: i               ! número do elemento dos vetores
integer   :: tipo_de_calculo ! a realizar
integer   :: dos             ! acessa prompt dos

integer   :: local_maximo(1) ! posição do valor máximo do vetor b
integer   :: local_minimo(1) ! posição do valor mínimo do vetor b

real*8    :: soma            ! soma dos valores do vetor b
real*8    :: maximo          ! valor máximo do vetor b
real*8    :: minimo          ! valor mínimo do vetor b

! vetores com dimensão aberta e alocáveis
real*8,dimension(:),allocatable :: a, b

end module VARIAVEIS